#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	pycairo

Distribution:	CCux Linux
Packager:	Karsten Brockmann  <arcam@ccux-linux.de>

Summary:	Python bindings for cairo
Name:		python%{PVER}-%{original_name}
Version:	1.8.10
Release:	1
License:	GNU/LGPL
URL:		http://www.pygtk.org/
Group:		Development/Python
Source0:	py2cairo-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
Provides:	PyCairo = %{version}-%{release}
Obsoletes:	PyCairo <= %{version}-%{release}
Obsoletes:	python25-pycairo

#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXrender-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
Python bindings for the cairo vector graphics library.

%package	devel
Summary: 	%{name} development headers.
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Provides:	PyCairo-devel = %{version}-%{release}
Obsoletes:	PyCairo-devel <= %{version}-%{release}
Obsoletes:	python25-pycairo-devel

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{original_name}-%{version}

%build
%configure PYTHON=%_bindir/%{__python}
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{python_sitelib}/cairo/_cairo.so
%{python_sitelib}/cairo/__init__.py
%{python_sitelib}/cairo/__init__.pyc
%{python_sitelib}/cairo/__init__.pyo

%files devel
%defattr(-,root,root)
%{_includedir}/pycairo/pycairo.h
%{_pkgconfig}/pycairo.pc
%{_libdir}/python2.6/site-packages/cairo/_cairo.la


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.8.10-1
- Version update
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 1.8.8-1
- Version Update, rebuild against python26-2.6.3-1
* Fri Oct 23 2009 Christian Wasem <wasem@ccux-linux.de> 1.4.12-2
- rebuild against python25-2.5.4-3
* Sat Jul 19 2008 Christian Wasem <wasem@ccux-linux.de> 1.4.12-1
- Version update
* Sun Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.0-1
- Version update
* Wed Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- version update
* Sat Aug 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Initial Release
